import dynamix_sdk.base as _base


class CloudbrokerComputeCloneResultStr(_base.BaseAPIResultStr):
    pass


class CloudbrokerComputeCloneProtocol(_base.BasePostAPIFunctionProtocol):
    def clone(
        self,
        *,
        vm_id: int,
        name: str,
        force: bool = False,
        snapshot_timestamp: int | None = None,
        snapshot_name: str | None = None,
        sep_pool_name: str | None = None,
        sep_id: int | None = None,
        storage_policy_id: int,
    ) -> CloudbrokerComputeCloneResultStr:
        ...
